## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname hiredis
%global releasename hiredis-py

Name:           python-%{srcname}
Version:        2.0.0
Release:        %autorelease
Summary:        Python extension that wraps protocol parsing code in hiredis

License:        BSD-3-Clause
URL:            https://github.com/redis/hiredis-py
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch0:         0001-Make-extension-use-hiredis-system-library.patch

BuildRequires:  gcc
BuildRequires:  python3-devel


%global _description %{expand:
Python extension that wraps protocol parsing code in hiredis. It primarily
speeds up parsing of multi bulk replies.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  hiredis-devel
Requires:       hiredis >= 1.0 with hiredis < 1.1

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{releasename}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
cd test
PYTHONPATH=%{buildroot}%{python3_sitearch} %{python3} -m unittest reader.ReaderTest


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license COPYING


%changelog
* Wed Mar 29 2023 Kai A. Hiller <V02460@gmail.com> - 2.0.0-1
- Initial commit
